# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Path-IsDev
Version:	1.001003
Release:	1.%{__distinit}%{__distvers}
Summary:	Determine if a given Path resembles a development source tree
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Path-IsDev
Source0:	http://cpan.metacpan.org/authors/id/K/KE/KENTNL/Path-IsDev-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Tiny) >= 0.010
BuildRequires:	perl(Config)
BuildRequires:	perl(File::HomeDir)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(Path::Tiny) >= 0.004
BuildRequires:	perl(Role::Tiny)
BuildRequires:	perl(Role::Tiny::With)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Carp)
Requires:	perl(File::HomeDir)
Requires:	perl(Module::Runtime)
Requires:	perl(Path::Tiny)
Requires:	perl(Scalar::Util)

%description
This module is more or less a bunch of heuristics for determining if a given
path is a development tree root of some kind.

This has many useful applications, notably ones that require behaviors for
"installed" modules to be different to those that are still "in development".

%prep
%setup -q -n Path-IsDev-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Path/
%{_mandir}/man3/Path::IsDev.3*
%{_mandir}/man3/Path::IsDev::Heuristic::Changelog.3*
%{_mandir}/man3/Path::IsDev::Heuristic::DevDirMarker.3*
%{_mandir}/man3/Path::IsDev::Heuristic::META.3*
%{_mandir}/man3/Path::IsDev::Heuristic::MYMETA.3*
%{_mandir}/man3/Path::IsDev::Heuristic::Makefile.3*
%{_mandir}/man3/Path::IsDev::Heuristic::TestDir.3*
%{_mandir}/man3/Path::IsDev::Heuristic::Tool::Dzil.3*
%{_mandir}/man3/Path::IsDev::Heuristic::Tool::MakeMaker.3*
%{_mandir}/man3/Path::IsDev::Heuristic::Tool::ModuleBuild.3*
%{_mandir}/man3/Path::IsDev::Heuristic::VCS::Git.3*
%{_mandir}/man3/Path::IsDev::HeuristicSet::Basic.3*
%{_mandir}/man3/Path::IsDev::NegativeHeuristic::HomeDir.3*
%{_mandir}/man3/Path::IsDev::NegativeHeuristic::IsDev::IgnoreFile.3*
%{_mandir}/man3/Path::IsDev::NegativeHeuristic::PerlINC.3*
%{_mandir}/man3/Path::IsDev::Object.3*
%{_mandir}/man3/Path::IsDev::Result.3*
%{_mandir}/man3/Path::IsDev::Role::Heuristic.3*
%{_mandir}/man3/Path::IsDev::Role::HeuristicSet.3*
%{_mandir}/man3/Path::IsDev::Role::HeuristicSet::Simple.3*
%{_mandir}/man3/Path::IsDev::Role::Matcher::Child::BaseName::MatchRegexp.3*
%{_mandir}/man3/Path::IsDev::Role::Matcher::Child::BaseName::MatchRegexp::File.3*
%{_mandir}/man3/Path::IsDev::Role::Matcher::Child::Exists::Any.3*
%{_mandir}/man3/Path::IsDev::Role::Matcher::Child::Exists::Any::Dir.3*
%{_mandir}/man3/Path::IsDev::Role::Matcher::Child::Exists::Any::File.3*
%{_mandir}/man3/Path::IsDev::Role::Matcher::FullPath::Is::Any.3*
%{_mandir}/man3/Path::IsDev::Role::NegativeHeuristic.3*

%changelog
* Fri Mar 10 2017 Paul Howarth <paul@city-fan.org> - 1.001003-1
- Update to 1.001003
  - Avoid -Ddefault_inc_excludes_dot failures (also makes tests much faster)
- Drop bundled Test::More

* Fri Sep 16 2016 Paul Howarth <paul@city-fan.org> - 1.001002-6
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Mar  2 2016 Paul Howarth <paul@city-fan.org> - 1.001002-2
- Support building for older distributions now that Path::Tiny does

* Tue Sep  9 2014 Paul Howarth <paul@city-fan.org> - 1.001002-1
- Update to 1.001002
  - Tests augmented
  - Whitespace reduced
- Use %%license

* Mon Jul 14 2014 Paul Howarth <paul@city-fan.org> - 1.001001-1
- Update to 1.001001
  - Miscellaneous packaging clean-ups

* Sat Mar  1 2014 Paul Howarth <paul@city-fan.org> - 1.001000-1
- Update to 1.001000
  - Tooling switched to ExtUtils::MakeMaker
  - Needed newer Path::Tiny for ->realpath
- Switch to ExtUtils::MakeMaker flow

* Fri Nov 22 2013 Paul Howarth <paul@city-fan.org> - 1.000002-1
- Update to 1.000002
  - Attempt to avoid failures on some Win32's where methods other than
    File::HomeDir->my_home don't work at all
  - Move dependency-changes noise out of Changes file

* Thu Nov 21 2013 Paul Howarth <paul@city-fan.org> - 1.000001-1
- Update to 1.000001 (minor packaging updates)

* Thu Oct 24 2013 Paul Howarth <paul@city-fan.org> - 1.000000-2
- Add runtime dependency on perl(File::HomeDir)

* Sat Oct 19 2013 Paul Howarth <paul@city-fan.org> - 1.000000-1
- Update to 1.000000
  - Major internal rewrite: see Changes for details

* Sat Oct  5 2013 Paul Howarth <paul@city-fan.org> - 0.6.0-1
- Update to 0.6.0
  - All internals that could be rewritten to invoke roles instead of
    inheritance, have been done so
  - Base classes for existing things still exist, and should still work;
    however, they're on borrowed time
- BR: perl(Role::Tiny) and perl(Role::Tiny::With) rather than perl(parent)

 Sat Oct  5 2013 Paul Howarth <paul@city-fan.org> - 0.5.0-1
- Update to 0.5.0
  - Internals now re-written slightly to pass around a result object that
    communicates state
  - Everywhere $path was previously used, $result_object->path is now used
    instead
  - $result_object->path guaranteed to exist and be a ref of some kind
  - $result_object->path automatically upgraded to Path::Tiny if provided as a
    string
  - ->matches() and ->excludes() can now record results of heuristics by
    invoking $result_object->add_reason()
  - Path::IsDev::Object->_matches($path) now exists and returns a Result
    Object for $path
  - Dumping result object will give you as much info as turning debugging on
    would

* Sat Sep 28 2013 Paul Howarth <paul@city-fan.org> - 0.4.0-1
- Update to 0.4.0
  - Now has a system to indicate negative heuristics, to mark given directories
    as "not dev", which cause other positive heuristics to be ignored
  - One basic negative heuristic added, 'IsDev::IgnoreFile'
  - Basic Negative heuristic comes standard with the basic set

* Thu Sep 26 2013 Paul Howarth <paul@city-fan.org> - 0.3.3-1
- Update to 0.3.3
  - Use a Non-Win32-failing compile test

* Thu Sep 19 2013 Paul Howarth <paul@city-fan.org> - 0.3.2-1
- Update to 0.3.2
  - Require Class::Tiny ≥ 0.010, which doesn't exhibit the "used only once"
    warning

* Wed Sep 18 2013 Paul Howarth <paul@city-fan.org> - 0.3.1-1
- Update to 0.3.1
  - Require Class::Tiny ≥ 0.005, which supports lazy attributes

* Mon Sep 16 2013 Paul Howarth <paul@city-fan.org> - 0.3.0-1
- Initial RPM version
